function onInit( )
	_SWEPSetSound( MyIndex, "single_shot", "Weapon_AR2.Reload_Push" )
end

	function onThink() end

	function onPrimaryAttack( )
		if not _PlayerInfo(Owner, "alive") then return end
		_TraceLine(_PlayerGetShootPos(Owner), _PlayerGetShootAng(Owner), 200, Owner)
		local hitpos = vecAdd(_TraceEndPos(), vector3(0, 0, 40))
		_RunString("MakeProp("..Owner..", "..hitpos.x..", "..hitpos.y..", "..hitpos.z..")")
	end

	function onSecondaryAttack( )
		_RunString("CycleProp("..Owner..")")
	end

	function onDrop()
		_EntFire(MyIndex, "kill", "", 0)
	end
	
	function onReload( )
		return false
	end
	
	function getWeaponSwapHands()
		return false	
	end
	
	function getWeaponFOV()
		return 60	
	end
	
	function getWeaponSlot()
		return 1	
	end
	
	function getWeaponSlotPos()
		return 4	
	end
	
	function getFiresUnderwater()
		return false
	end
	
	function getReloadsSingly()
		return false
	end
	
	function getDamage()
		return 5
	end
	
	function getPrimaryShotDelay()
		return 1.0
	end
	
	function getSecondaryShotDelay()
		return 0.2
	end
	
	function getPrimaryIsAutomatic()
		return false
	end
	
	function getSecondaryIsAutomatic()
		return false
	end
	
	function getBulletSpread()
		return vector3( 0.00, 0.00, 0.00 )
	end
	
	function getViewKick()
		return vector3( 0.0, 0.0, 0.0)
	end
	
	function getViewKickRandom()
		return vector3( 0.0, 0.0, 0.0 )
	end

	function getViewModel( )
		return "models/weapons/v_Pistol.mdl"
	end
	
	function getWorldModel( )
		return "models/weapons/w_Pistol.mdl"
	end
	
	function getClassName()
		return "weapon_propmaker"
	end

	function getPrimaryAmmoType()
		return
	end
		
	function getSecondaryAmmoType()
		return
	end
	
	-- return -1 if it doesn't use clips
	function getMaxClipPrimary()
		return 1
	end
	
	function getMaxClipSecondary()
		return -1
	end
	
	-- ammo in gun by default
	function getDefClipPrimary()
		return 1
	end
	
	function getDefClipSecondary()
		return 1
	end

	-- pistol, smg, ar2, shotgun, rpg, phys, crossbow, melee, slam, grenade
	function getAnimPrefix()
		return "pistol"
	end

	function getPrintName()
		return "Improved Prop Gun"
	end
	
	
	-- 0 = Don't override, shoot bullets, make sound and flash
	-- 1 = Don't shoot bullets but do make flash/sounds
	-- 2 = Only play animations
	-- 3 = Don't do anything
	
	function getPrimaryScriptOverride()
		return 1
	end

	function getSecondaryScriptOverride()
		return 1
	end
	
	
	
	function getBulletSpreadSecondary()
		return vector3( 0.0, 0.0, 0.0 )
	end
	
	function getViewKickSecondary()
		return vector3( 0.0, 0.0, 0.0)
	end
	
	function getViewKickRandomSecondary()
		return vector3( 0.0, 0.0, 0.0 )
	end
